using System;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.IO;
using UUN;
using System.Collections;
using System.Text;

public partial class wClub_User_ProPassword:System.Web.UI.Page
{
	//------------------------------
	// 此文件代码由工具自动生成
	// 2010-5-23 10:49:26
	// UUNSOFT.COM 版权所有
	//------------------------------
	private 访问 访问;
	private StringBuilder 返回值;
	protected void Page_Load(object sender,EventArgs e)
	{
		访问 = new 访问(this.Context);
		访问.是否前台=true;
		访问.是否WML=true;
		访问.开始处理("密码保护","网站页面","密码保护",new 访问.回调委托(ZhiXing));
		访问.关闭连接();
	}
	private void ZhiXing()
	{
		返回值=new StringBuilder();
		访问.验证会员();
		SqlCommand Club_MiMaBaoHu_语句=new SqlCommand("SELECT [ID] FROM ["+程序.数据表前缀+"社区_密码保护] WHERE [会员ID]=@会员ID",访问.连接);
		Club_MiMaBaoHu_语句.Parameters.Add("@会员ID",SqlDbType.Int).Value=Convert.ToInt32(访问.用户["ID"]);
		SqlDataReader Club_MiMaBaoHu_读取=Club_MiMaBaoHu_语句.ExecuteReader();
		bool Club_MiMaBaoHu_是否存在=Club_MiMaBaoHu_读取.HasRows;
		Club_MiMaBaoHu_读取.Close();
		if(Club_MiMaBaoHu_是否存在)
			throw new Exception("您已设置密码保护");
		if(Request.QueryString["Act"]=="En")
			Club_MiMaBaoHu_保存设置();
		返回值.Append(@"<?xml version=""1.0"" encoding=""utf-8""?>
<!DOCTYPE wml PUBLIC ""-//WAPFORUM//DTD WML 1.1//EN"" ""http://www.wapforum.org/DTD/wml_1.1.xml"">
<wml>
<head>
<meta http-equiv=""Cache-Control"" content=""max-age=0"" />
</head>

<card title=""密码保护"">
<p>
");
		返回值.Append(new 消息(this.Context,访问.连接).弹出消息(访问.用户));
		返回值.Append(@"

<b>*提示：密码保护只能设置一次，设置后不可更改。</b><br/>


问题1:<br/>
<input type=""text"" name=""MB_WenTi1"" maxlength=""50"" value=""我小学就读的学校是什么？"" /><br/>
答案1:<br/>
<input type=""text"" name=""MB_DaAn1"" maxlength=""50"" value="""" /><br/>
问题2:<br/>
<input type=""text"" name=""MB_WenTi2"" maxlength=""50"" value=""我最好的朋友的名字？"" /><br/>
答案2:<br/>
<input type=""text"" name=""MB_DaAn2"" maxlength=""50"" value="""" /><br/>
问题3:<br/>
<input type=""text"" name=""MB_WenTi3"" maxlength=""50"" value=""我母亲的名字？"" /><br/>
答案3:<br/>
<input type=""text"" name=""MB_DaAn3"" maxlength=""50"" value="""" /><br/>
<anchor><go href=""User_ProPassword.aspx?Act=En&amp;");
		返回值.Append(Server.HtmlEncode(程序.设置["标识名称"].ToString()));
		返回值.Append(@"=");
		返回值.Append(访问.用户["标识"].ToString());
		返回值.Append(@""" method=""post"">
<postfield name=""MB_WenTi1"" value=""$(MB_WenTi1)"" />
<postfield name=""MB_DaAn1"" value=""$(MB_DaAn1)"" />
<postfield name=""MB_WenTi2"" value=""$(MB_WenTi2)"" />
<postfield name=""MB_DaAn2"" value=""$(MB_DaAn2)"" />
<postfield name=""MB_WenTi3"" value=""$(MB_WenTi3)"" />
<postfield name=""MB_DaAn3"" value=""$(MB_DaAn3)"" />
</go>[设置]</anchor><br/>
----------<br/>
<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"Club/User_Default.aspx",访问.用户["标识"].ToString())));
		返回值.Append(@""">返回个人中心</a><br/>
<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"club/page.aspx?ID=1",访问.用户["标识"].ToString())));
		返回值.Append(@""">返回社区首页</a><br/>
<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"page.aspx?ID=1",访问.用户["标识"].ToString())));
		返回值.Append(@""">返回首页</a><br/>");
		返回值.Append(DateTime.Now.ToString(@"MM月dd日 HH:mm"));
		返回值.Append(@"



</p>
</card>
</wml>");
		Response.Write(返回值);
		Response.Write("<!-- Powered by www.uunsoft.com -->");
	}
	private void Club_MiMaBaoHu_保存设置()
	{
		String 密码保护问题1=Request.Form["MB_WenTi1"];
		String 密码保护答案1=Request.Form["MB_DaAn1"];
		String 密码保护问题2=Request.Form["MB_WenTi2"];
		String 密码保护答案2=Request.Form["MB_DaAn2"];
		String 密码保护问题3=Request.Form["MB_WenTi3"];
		String 密码保护答案3=Request.Form["MB_DaAn3"];

		if(密码保护问题1.Length<1||密码保护问题1.Length>50)
			throw new Exception("密码保护问题1的长度只能在1-50之间");
		if(密码保护答案1.Length<1||密码保护答案1.Length>50)
			throw new Exception("密码保护答案1的长度只能在1-50之间");
		if(密码保护问题2.Length<1||密码保护问题2.Length>50)
			throw new Exception("密码保护问题2的长度只能在1-50之间");
		if(密码保护答案2.Length<1||密码保护答案2.Length>50)
			throw new Exception("密码保护答案2的长度只能在1-50之间");
		if(密码保护问题3.Length<1||密码保护问题3.Length>50)
			throw new Exception("密码保护问题3的长度只能在1-50之间");
		if(密码保护答案3.Length<1||密码保护答案3.Length>50)
			throw new Exception("密码保护答案3的长度只能在1-50之间");

		int ZGID=常用.SQL_最高ID(访问.连接,程序.数据表前缀+"社区_密码保护");
		SqlCommand 语句=new SqlCommand("INSERT INTO ["+程序.数据表前缀+"社区_密码保护]([ID],[密码保护问题1],[密码保护答案1],[密码保护问题2],[密码保护答案2],[密码保护问题3],[密码保护答案3],[会员ID])"+
			"VALUES(@ID,@密码保护问题1,@密码保护答案1,@密码保护问题2,@密码保护答案2,@密码保护问题3,@密码保护答案3,@会员ID)",访问.连接);
		语句.Parameters.Add("@ID",SqlDbType.Int).Value=ZGID;
		语句.Parameters.Add("@密码保护问题1",SqlDbType.NVarChar).Value=密码保护问题1;
		语句.Parameters.Add("@密码保护答案1",SqlDbType.NVarChar).Value=密码保护答案1;
		语句.Parameters.Add("@密码保护问题2",SqlDbType.NVarChar).Value=密码保护问题2;
		语句.Parameters.Add("@密码保护答案2",SqlDbType.NVarChar).Value=密码保护答案2;
		语句.Parameters.Add("@密码保护问题3",SqlDbType.NVarChar).Value=密码保护问题3;
		语句.Parameters.Add("@密码保护答案3",SqlDbType.NVarChar).Value=密码保护答案3;
		语句.Parameters.Add("@会员ID",SqlDbType.Int).Value=Convert.ToInt32(访问.用户["ID"]);
		语句.ExecuteNonQuery();

		Response.Redirect(常用.处理地址("User_Default.aspx",访问.用户["标识"].ToString()));
	}}